cdac.medinfo.sdk.hl7282.baselibs.segments

## Class UB2

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.UB2

- All Implemented Interfaces:
    ISegment

      public class UB2
      extends Segment

  UB2 - UniformBilling Data Segment.

  The UB2 segment contains data necessary to complete UniformBilling bills specific to the United States; other realms may choose to implement using regional code sets.

  Represents an HL7 UB2 message segment. This segment has the following fields:

  UB2-1: Set ID - UB2 (SI)Optional
  UB2-2: Co-Insurance Days (9) (ST)Optional
  UB2-3: Condition Code (24-30) (CWE)Optional
  UB2-4: Covered Days (7) (ST)Optional
  UB2-5: Non-Covered Days (8) (ST)Optional
  UB2-6: Value Amount & Code (UVC)Optional
  UB2-7: Occurrence Code & Date (32-35) (OCD)Optional
  UB2-8: Occurrence Span Code/Dates (36) (OSP)Optional
  UB2-9: Uniform Billing Locator 2 (State) (ST)Optional
  UB2-10: Uniform Billing Locator 11 (State) (ST)Optional
  UB2-11: Uniform Billing Locator 31 (National) (ST)Optional
  UB2-12: Document Control Number (ST)Optional
  UB2-13: Uniform Billing Locator 49 (National) (ST)Optional
  UB2-14: Uniform Billing Locator 56 (State) (ST)Optional
  UB2-15: Uniform Billing Locator 57 (National) (ST)Optional
  UB2-16: Uniform Billing Locator 78 (State) (ST)Optional
  UB2-17: Special Visit Count (NM)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UB2()` Constucts the UB2 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConditionCode(CWE objtempConditionCode)` Set the Condition Code.
    `void` | `addConditionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Condition Code.
    `void` | `addDocumentControlNumber(ST objtempDocumentControlNumber)` Set the Document Control Number.
    `void` | `addDocumentControlNumber(java.lang.String strDocumentControlNumber)` Set the Document Control Number.
    `void` | `addOccuranceCodeAndDate(CNE objOccuranceCode, java.lang.String strOccuranceDate)` Set the Occurrence Code And Date.
    `void` | `addOccuranceCodeAndDate(OCD tempOccuranceCodeAndDate)` Set the Occurrence Code And Date.
    `void` | `addOccuranceSpanCodeOrDates(CNE objOccurrenceSpanCode, java.lang.String strOccuranceSpanStartDate, java.lang.String strOccuranceSpanStopDate)` Set the Occurance Span Code Or Dates.
    `void` | `addOccuranceSpanCodeOrDates(OSP tempOccuranceSpanCodeOrDates)` Set the Occurance Span Code Or Dates.
    `void` | `addUniformBillingLocator11State(ST objtempUniformBillingLocator11State)` Set the UniformBilling Locator 11 State.
    `void` | `addUniformBillingLocator11State(java.lang.String strUniformBillingLocator11State)` Set the UniformBilling Locator 11 State.
    `void` | `addUniformBillingLocator2State(ST objtempUniformBillingLocator2State)` Set the UniformBilling Locator 2 State.
    `void` | `addUniformBillingLocator2State(java.lang.String strUniformBillingLocator2State)` Set the UniformBilling Locator 2 State.
    `void` | `addUniformBillingLocator49National(ST objtempUniformBillingLocator49National)` Set the UniformBilling Locator 49 National.
    `void` | `addUniformBillingLocator49National(java.lang.String strUniformBillingLocator49National)` Set the UniformBilling Locator 49 National.
    `void` | `addUniformBillingLocator56State(ST objtempUniformBillingLocator56State)` Set the UniformBilling Locator 56 State.
    `void` | `addUniformBillingLocator56State(java.lang.String strUniformBillingLocator56State)` Set the UniformBilling Locator 56 State.
    `void` | `addUniformBillingLocator78State(ST objtempUniformBillingLocator78State)` Set the UniformBilling Locator 78 State.
    `void` | `addUniformBillingLocator78State(java.lang.String strUniformBillingLocator78State)` Set the UniformBilling Locator 78 State.
    `void` | `addValueAmountAndCode(CWE objValueCode, MO objValueAmount, NM objNonMonetaryValueAmountQuantity, CWE objNonMonetaryValueAmountUnits)` Set the Value Amount And Code.
    `void` | `addValueAmountAndCode(UVC tempValueAmountAndCode)` Set the Value Amount And Code.
    `ST` | `getCoInsuranceDays()` Retrieves the CoInsuranceDays.
    `ISingleCollection<CWE>` | `getConditionCode()` Retrieves the Condition Code.
    `ST` | `getCoveredDays()` Retrieves the Covered Days.
    `ISingleCollection<ST>` | `getDocumentControlNumber()` Retrieves the Document Control Number.
    `ST` | `getNonCoveredDays()` Retrieves the Non Covered Days.
    `ISingleCollection<OCD>` | `getOccuranceCodeAndDate()` Retrieves the Occurance Code And Date.
    `ISingleCollection<OSP>` | `getOccuranceSpanCodeOrDates()` Retrieves the Occurance Span Code Or Dates.
    `SI` | `getSetID()` Retrieves the Set ID.
    `NM` | `getSpecialVisitCount()` Retrieves the Special Visit Count.
    `ISingleCollection<ST>` | `getUniformBillingLocator11State()` Retrieves the Uniform Billing Locator 11 State.
    `ISingleCollection<ST>` | `getUniformBillingLocator2State()` Retrieves the Uniform Billing Locator 2 State.
    `ST` | `getUniformBillingLocator31National()` Retrieves the Uniform Billing Locator 31 National.
    `ISingleCollection<ST>` | `getUniformBillingLocator49National()` Retrieves the Uniform Billing Locator 49 National.
    `ISingleCollection<ST>` | `getUniformBillingLocator56State()` Retrieves the Uniform Billing Locator 56 State.
    `ST` | `getUniformBillingLocator57National()` Retrieves the Uniform Billing Locator 57 National.
    `ISingleCollection<ST>` | `getUniformBillingLocator78State()` Retrieves the Uniform Billing Locator 78 State.
    `ISingleCollection<UVC>` | `getValueAmountAndCode()` Retrieves the Value Amount And Code.
    `void` | `setCoInsuranceDays(ST objcoInsuranceDays)` Set the CoInsuranceDays.
    `void` | `setCoInsuranceDays(java.lang.String strCoInsuranceDays)` Set the CoInsuranceDays.
    `void` | `setConditionCode(ISingleCollection<CWE> objConditionCodeList)` Set the ConditionCode list.
    `void` | `setCoveredDays(ST objcoveredDays)` Set the Covered Days.
    `void` | `setCoveredDays(java.lang.String strCoveredDays)` Set the Covered Days.
    `void` | `setDocumentControlNumber(ISingleCollection<ST> objDocumentControlNumberList)` Set the DocumentControlNumber list.
    `void` | `setNonCoveredDays(ST objnonCoveredDays)` Set the Non Covered Days.
    `void` | `setNonCoveredDays(java.lang.String strNonCoveredDays)` Set the Non Covered Days.
    `void` | `setOccuranceCodeAndDate(ISingleCollection<OCD> objOccuranceCodeAndDateList)` Set the OccuranceCodeAndDate list.
    `void` | `setOccuranceSpanCodeOrDates(ISingleCollection<OSP> objOccuranceSpanCodeOrDatesList)` Set the OccuranceSpanCodeOrDates list.
    `void` | `setSetID(SI objsetID)` Set the Set ID.
    `void` | `setSetID(java.lang.String strSquenceID)` Set the Set ID.
    `void` | `setSpecialVisitCount(NM objspecialVisitCount)` Set the Special Visit Count.
    `void` | `setSpecialVisitCount(java.lang.String strSpecialVisitCount)` Set the Special Visit Count.
    `void` | `setUniformBillingLocator11State(ISingleCollection<ST> objUniformBillingLocator11StateList)` Set the UniformBillingLocator11State list.
    `void` | `setUniformBillingLocator2State(ISingleCollection<ST> objUniformBillingLocator2StateList)` Set the UniformBillingLocator2State list.
    `void` | `setUniformBillingLocator31National(ST objUniformBillingLocator31National)` Set the UniformBilling Locator 31 National.
    `void` | `setUniformBillingLocator31National(java.lang.String strUniformBillingLocator31National)` Set the UniformBilling Locator 31 National.
    `void` | `setUniformBillingLocator49National(ISingleCollection<ST> objUniformBillingLocator49NationalList)` Set the UniformBillingLocator49National list.
    `void` | `setUniformBillingLocator56State(ISingleCollection<ST> objUniformBillingLocator56StateList)` Set the UniformBillingLocator56State list.
    `void` | `setUniformBillingLocator57National(ST objUniformBillingLocator57National)` Set the UniformBilling Locator 57 National.
    `void` | `setUniformBillingLocator57National(java.lang.String strUniformBillingLocator57National)` Set the UniformBilling Locator 57 National.
    `void` | `setUniformBillingLocator78State(ISingleCollection<ST> objUniformBillingLocator78StateList)` Set the UniformBillingLocator78State list.
    `void` | `setValueAmountAndCode(ISingleCollection<UVC> objValueAmountAndCodeList)` Set the ValueAmountAndCode list.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UB2

          public UB2()

      Constucts the UB2 segment.

  - ### Method Detail

    - #### getSetID

          public SI getSetID()

      Retrieves the Set ID.
      Returns:
        String - setID

    - #### getCoInsuranceDays

          public ST getCoInsuranceDays()

      Retrieves the CoInsuranceDays.
      Returns:
        String - coInsuranceDays

    - #### getConditionCode

          public ISingleCollection<CWE> getConditionCode()

      Retrieves the Condition Code.
      Returns:
        ISingleCollection - conditionCode

    - #### getCoveredDays

          public ST getCoveredDays()

      Retrieves the Covered Days.
      Returns:
        String - coveredDays

    - #### getNonCoveredDays

          public ST getNonCoveredDays()

      Retrieves the Non Covered Days.
      Returns:
        String - nonCoveredDays

    - #### getValueAmountAndCode

          public ISingleCollection<UVC> getValueAmountAndCode()

      Retrieves the Value Amount And Code.
      Returns:
        ISingleCollection - valueAmountAndCode

    - #### getOccuranceCodeAndDate

          public ISingleCollection<OCD> getOccuranceCodeAndDate()

      Retrieves the Occurance Code And Date.
      Returns:
        ISingleCollection - occuranceCodeAndDate

    - #### getOccuranceSpanCodeOrDates

          public ISingleCollection<OSP> getOccuranceSpanCodeOrDates()

      Retrieves the Occurance Span Code Or Dates.
      Returns:
        ISingleCollection - occuranceSpanCodeOrDates

    - #### getUniformBillingLocator2State

          public ISingleCollection<ST> getUniformBillingLocator2State()

      Retrieves the Uniform Billing Locator 2 State.
      Returns:
        ISingleCollection - Uniform BillingLocator2State

    - #### getUniformBillingLocator11State

          public ISingleCollection<ST> getUniformBillingLocator11State()

      Retrieves the Uniform Billing Locator 11 State.
      Returns:
        ISingleCollection - Uniform BillingLocator11State

    - #### getUniformBillingLocator31National

          public ST getUniformBillingLocator31National()

      Retrieves the Uniform Billing Locator 31 National.
      Returns:
        String - Uniform BillingLocator31National

    - #### getDocumentControlNumber

          public ISingleCollection<ST> getDocumentControlNumber()

      Retrieves the Document Control Number.
      Returns:
        ISingleCollection - documentControlNumber

    - #### getUniformBillingLocator49National

          public ISingleCollection<ST> getUniformBillingLocator49National()

      Retrieves the Uniform Billing Locator 49 National.
      Returns:
        ISingleCollection - Uniform BillingLocator49National

    - #### getUniformBillingLocator56State

          public ISingleCollection<ST> getUniformBillingLocator56State()

      Retrieves the Uniform Billing Locator 56 State.
      Returns:
        ISingleCollection - Uniform BillingLocator56State

    - #### getUniformBillingLocator57National

          public ST getUniformBillingLocator57National()

      Retrieves the Uniform Billing Locator 57 National.
      Returns:
        String - Uniform BillingLocator57National

    - #### getUniformBillingLocator78State

          public ISingleCollection<ST> getUniformBillingLocator78State()

      Retrieves the Uniform Billing Locator 78 State.
      Returns:
        ISingleCollection - UniformBillingLocator78State

    - #### getSpecialVisitCount

          public NM getSpecialVisitCount()

      Retrieves the Special Visit Count.
      Returns:
        String - specialVisitCount

    - #### setCoInsuranceDays

          public void setCoInsuranceDays(java.lang.String strCoInsuranceDays)

      Set the CoInsuranceDays.
      Parameters:
        `strCoInsuranceDays` - Use as CoInsuranceDays.

    - #### setCoInsuranceDays

          public void setCoInsuranceDays(ST objcoInsuranceDays)

      Set the CoInsuranceDays.
      Parameters:
        `objcoInsuranceDays` - Use as CoInsuranceDays.

    - #### addConditionCode

          public void addConditionCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Condition Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addConditionCode

          public void addConditionCode(CWE objtempConditionCode)

      Set the Condition Code.
      Parameters:
        `objtempConditionCode` - Use as ConditionCode.

    - #### setConditionCode

          public void setConditionCode(ISingleCollection<CWE> objConditionCodeList)

      Set the ConditionCode list.
      Parameters:
        `objConditionCodeList` - List of ConditionCode

    - #### setCoveredDays

          public void setCoveredDays(java.lang.String strCoveredDays)

      Set the Covered Days.
      Parameters:
        `strCoveredDays` - Use as CoveredDays.

    - #### setCoveredDays

          public void setCoveredDays(ST objcoveredDays)

      Set the Covered Days.
      Parameters:
        `objcoveredDays` - Use as CoveredDays.

    - #### addDocumentControlNumber

          public void addDocumentControlNumber(java.lang.String strDocumentControlNumber)

      Set the Document Control Number. This may repeat up to three times.
      Parameters:
        `strDocumentControlNumber` - Use as DocumentControlNumber.

    - #### addDocumentControlNumber

          public void addDocumentControlNumber(ST objtempDocumentControlNumber)

      Set the Document Control Number. This may repeat up to three times.
      Parameters:
        `objtempDocumentControlNumber` - Use as DocumentControlNumber.

    - #### setDocumentControlNumber

          public void setDocumentControlNumber(ISingleCollection<ST> objDocumentControlNumberList)

      Set the DocumentControlNumber list.
      Parameters:
        `objDocumentControlNumberList` - List of DocumentControlNumber

    - #### setNonCoveredDays

          public void setNonCoveredDays(java.lang.String strNonCoveredDays)

      Set the Non Covered Days.
      Parameters:
        `strNonCoveredDays` - Use as NonCoveredDays.

    - #### setNonCoveredDays

          public void setNonCoveredDays(ST objnonCoveredDays)

      Set the Non Covered Days.
      Parameters:
        `objnonCoveredDays` - Use as NonCoveredDays.

    - #### addOccuranceCodeAndDate

          public void addOccuranceCodeAndDate(CNE objOccuranceCode,
                                     java.lang.String strOccuranceDate)

      Set the Occurrence Code And Date.
      Parameters:
        `objOccuranceCode` - Use as OccuranceCode.
        `strOccuranceDate` - Use as OccuranceDate.

    - #### addOccuranceCodeAndDate

          public void addOccuranceCodeAndDate(OCD tempOccuranceCodeAndDate)

      Set the Occurrence Code And Date.
      Parameters:
        `tempOccuranceCodeAndDate` - Occurrence Code And Date

    - #### setOccuranceCodeAndDate

          public void setOccuranceCodeAndDate(ISingleCollection<OCD> objOccuranceCodeAndDateList)

      Set the OccuranceCodeAndDate list.
      Parameters:
        `objOccuranceCodeAndDateList` - List of OccuranceCodeAndDate

    - #### addOccuranceSpanCodeOrDates

          public void addOccuranceSpanCodeOrDates(CNE objOccurrenceSpanCode,
                                         java.lang.String strOccuranceSpanStartDate,
                                         java.lang.String strOccuranceSpanStopDate)

      Set the Occurance Span Code Or Dates.
      Parameters:
        `objOccuranceSpanDate` - Use as OccuranceSpanDate
        `strOccuranceSpanStartDate` - Use as OccuranceSpanStartDate
        `strOccuranceSpanStopDate` - Use as OccuranceSpanStopDate

    - #### addOccuranceSpanCodeOrDates

          public void addOccuranceSpanCodeOrDates(OSP tempOccuranceSpanCodeOrDates)

      Set the Occurance Span Code Or Dates.
      Parameters:
        `tempOccuranceSpanCodeOrDates` - Occurance Span Code Or Dates.
        `strOccuranceSpanStopDate` - Use as OccuranceSpanStopDate

    - #### setOccuranceSpanCodeOrDates

          public void setOccuranceSpanCodeOrDates(ISingleCollection<OSP> objOccuranceSpanCodeOrDatesList)

      Set the OccuranceSpanCodeOrDates list.
      Parameters:
        `objOccuranceSpanCodeOrDatesList` - List of OccuranceSpanCodeOrDates

    - #### setSetID

          public void setSetID(java.lang.String strSquenceID)

      Set the Set ID.
      Parameters:
        `strSquenceID` - Use as SquenceID.

    - #### setSetID

          public void setSetID(SI objsetID)

      Set the Set ID.
      Parameters:
        `objsetID` - Use as SquenceID.

    - #### setSpecialVisitCount

          public void setSpecialVisitCount(java.lang.String strSpecialVisitCount)

      Set the Special Visit Count.
      Parameters:
        `strSpecialVisitCount` - Use as SpecialVisitCount.

    - #### setSpecialVisitCount

          public void setSpecialVisitCount(NM objspecialVisitCount)

      Set the Special Visit Count.
      Parameters:
        `objspecialVisitCount` - Use as SpecialVisitCount.

    - #### addUniformBillingLocator11State

          public void addUniformBillingLocator11State(java.lang.String strUniformBillingLocator11State)

      Set the UniformBilling Locator 11 State.
      Parameters:
        `strUniformBillingLocator11State` - Use as UniformBillingLocator11State

    - #### addUniformBillingLocator11State

          public void addUniformBillingLocator11State(ST objtempUniformBillingLocator11State)

      Set the UniformBilling Locator 11 State.
      Parameters:
        `objtempUniformBillingLocator11State` - Use as UniformBillingLocator11State

    - #### setUniformBillingLocator11State

          public void setUniformBillingLocator11State(ISingleCollection<ST> objUniformBillingLocator11StateList)

      Set the UniformBillingLocator11State list.
      Parameters:
        `objOccuranceCodeAndDateList` - List of UniformBillingLocator11State

    - #### addUniformBillingLocator2State

          public void addUniformBillingLocator2State(java.lang.String strUniformBillingLocator2State)

      Set the UniformBilling Locator 2 State. This field may repeat up to two times.
      Parameters:
        `strUniformBillingLocator2State` - Use as UniformBillingLocator2State

    - #### addUniformBillingLocator2State

          public void addUniformBillingLocator2State(ST objtempUniformBillingLocator2State)

      Set the UniformBilling Locator 2 State. This field may repeat up to two times.
      Parameters:
        `objtempUniformBillingLocator2State` - Use as UniformBillingLocator2State

    - #### setUniformBillingLocator2State

          public void setUniformBillingLocator2State(ISingleCollection<ST> objUniformBillingLocator2StateList)

      Set the UniformBillingLocator2State list.
      Parameters:
        `objOccuranceCodeAndDateList` - List of UniformBillingLocator2State

    - #### setUniformBillingLocator31National

          public void setUniformBillingLocator31National(java.lang.String strUniformBillingLocator31National)

      Set the UniformBilling Locator 31 National.
      Parameters:
        `strUniformBillingLocator31National` - Use as UniformBillingLocator31National

    - #### setUniformBillingLocator31National

          public void setUniformBillingLocator31National(ST objUniformBillingLocator31National)

      Set the UniformBilling Locator 31 National.
      Parameters:
        `objUniformBillingLocator31National` - Use as UniformBillingLocator31National

    - #### addUniformBillingLocator49National

          public void addUniformBillingLocator49National(java.lang.String strUniformBillingLocator49National)

      Set the UniformBilling Locator 49 National. This field may repeat up to twenty-three times.
      Parameters:
        `strUniformBillingLocator49National` - Use as UniformBillingLocator49National.

    - #### addUniformBillingLocator49National

          public void addUniformBillingLocator49National(ST objtempUniformBillingLocator49National)

      Set the UniformBilling Locator 49 National. This field may repeat up to twenty-three times.
      Parameters:
        `objtempUniformBillingLocator49National` - Use as UniformBillingLocator49National.

    - #### setUniformBillingLocator49National

          public void setUniformBillingLocator49National(ISingleCollection<ST> objUniformBillingLocator49NationalList)

      Set the UniformBillingLocator49National list.
      Parameters:
        `objUniformBillingLocator49NationalList` - List of UniformBillingLocator49National

    - #### addUniformBillingLocator56State

          public void addUniformBillingLocator56State(java.lang.String strUniformBillingLocator56State)

      Set the UniformBilling Locator 56 State.
      Parameters:
        `strUniformBillingLocator56State` - Use as UniformBillingLocator56State.

    - #### addUniformBillingLocator56State

          public void addUniformBillingLocator56State(ST objtempUniformBillingLocator56State)

      Set the UniformBilling Locator 56 State.
      Parameters:
        `objtempUniformBillingLocator56State` - Use as UniformBillingLocator56State.

    - #### setUniformBillingLocator56State

          public void setUniformBillingLocator56State(ISingleCollection<ST> objUniformBillingLocator56StateList)

      Set the UniformBillingLocator56State list.
      Parameters:
        `objUniformBillingLocator56StateList` - List of UniformBillingLocator56State

    - #### setUniformBillingLocator57National

          public void setUniformBillingLocator57National(java.lang.String strUniformBillingLocator57National)

      Set the UniformBilling Locator 57 National.
      Parameters:
        `strUniformBillingLocator57National` - Use as UniformBillingLocator57National.

    - #### setUniformBillingLocator57National

          public void setUniformBillingLocator57National(ST objUniformBillingLocator57National)

      Set the UniformBilling Locator 57 National.
      Parameters:
        `objUniformBillingLocator57National` - Use as UniformBillingLocator57National.

    - #### addUniformBillingLocator78State

          public void addUniformBillingLocator78State(java.lang.String strUniformBillingLocator78State)

      Set the UniformBilling Locator 78 State.
      Parameters:
        `strUniformBillingLocator78State` - Use as UniformBillingLocator78State.

    - #### addUniformBillingLocator78State

          public void addUniformBillingLocator78State(ST objtempUniformBillingLocator78State)

      Set the UniformBilling Locator 78 State.
      Parameters:
        `objtempUniformBillingLocator78State` - Use as UniformBillingLocator78State.

    - #### setUniformBillingLocator78State

          public void setUniformBillingLocator78State(ISingleCollection<ST> objUniformBillingLocator78StateList)

      Set the UniformBillingLocator78State list.
      Parameters:
        `objUniformBillingLocator78StateList` - List of UniformBillingLocator78State

    - #### addValueAmountAndCode

          public void addValueAmountAndCode(CWE objValueCode,
                                   MO objValueAmount,
                                   NM objNonMonetaryValueAmountQuantity,
                                   CWE objNonMonetaryValueAmountUnits)

      Set the Value Amount And Code.
      Parameters:
        `objValueCode` - Contains Value Code
        `objValueAmount` - Contains Value Amount
        `objNonMonetaryValueAmountQuantity` - Specifies the numeric amount when needed to pair with the value when it is non-monetary.
        `objNonMonetaryValueAmountUnits` - This component species the units in which the non-monetary quantity is expressed. Refer to the Unified Code for Units of Measure (UCUM) for valid values

    - #### addValueAmountAndCode

          public void addValueAmountAndCode(UVC tempValueAmountAndCode)

      Set the Value Amount And Code. This field can repeat max 12 times.
      Parameters:
        `tempValueAmountAndCode` - Value Amount And Code

    - #### setValueAmountAndCode

          public void setValueAmountAndCode(ISingleCollection<UVC> objValueAmountAndCodeList)

      Set the ValueAmountAndCode list.
      Parameters:
        `objValueAmountAndCodeList` - List of ValueAmountAndCode

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.